Cannot start mongrel with Redmine 2.2.0, Ruby 1.8.7 and Rails 3.2.9
Description

I installed Redmine 2.2.0 with Ruby 1.8.7 and Rails 3.2.9 successfully. It works fine with Webrick.

However, when I tried to start Redmine with Mongrel with this instructions 

https://sites.google.com/site/alensit/software-tools/redmine/redmine-installation#TOC-Running-under-Mongrel-as-a-Windows-Service

I got the error below. Please advice.

** Starting Mongrel listening at 0.0.0.0:3000

** Starting Rails with production environment...

C:/Ruby187/lib/ruby/gems/1.8/gems/activesupport-3.2.9/lib/active_support/depende

ncies.rb:251:in `require': no such file to load -- dispatcher (LoadError)

        from C:/Ruby187/lib/ruby/gems/1.8/gems/activesupport-3.2.9/lib/active_su

pport/dependencies.rb:251:in `require'

        from C:/Ruby187/lib/ruby/gems/1.8/gems/activesupport-3.2.9/lib/active_su

pport/dependencies.rb:236:in `load_dependency'

        from C:/Ruby187/lib/ruby/gems/1.8/gems/activesupport-3.2.9/lib/active_su

pport/dependencies.rb:251:in `require'

        from C:/Ruby187/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/bin/../

lib/mongrel/rails.rb:148:in `rails'

        from C:/Ruby187/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/bin/mon

grel_rails:113:in `cloaker_'

        from C:/Ruby187/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/bin/../

lib/mongrel/configurator.rb:149:in `call'

        from C:/Ruby187/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/bin/../

lib/mongrel/configurator.rb:149:in `listener'

        from C:/Ruby187/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/bin/mon

grel_rails:99:in `cloaker_'

        from C:/Ruby187/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/bin/../

lib/mongrel/configurator.rb:50:in `call'

        from C:/Ruby187/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/bin/../

lib/mongrel/configurator.rb:50:in `initialize'

        from C:/Ruby187/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/bin/mon

grel_rails:84:in `new'

        from C:/Ruby187/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/bin/mon

grel_rails:84:in `run'

        from C:/Ruby187/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/bin/../

lib/mongrel/command.rb:212:in `run'

        from C:/Ruby187/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/bin/mon

grel_rails:281

        from C:/Ruby187/bin/mongrel_rails:23:in `load'

        from C:/Ruby187/bin/mongrel_rails:23

History

#1 - 2012-12-25 05:50 - Chien Nguyen

I can now start mongrel by using "rails s mongrel". However, I still cannot install it as a windows service since the mongrel_service gem still start

mongrel by the the old command "mongrel_rails start". Please advice.

#2 - 2012-12-26 12:16 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Invalid
https://sites.google.com/site/alensit/software-tools/redmine/redmine-installation#TOC-Running-under-Mongrel-as-a-Windows-Service


Please no support request here in the issue tracker.
